Name:          udisks
Version:       2.10.1
Release:       3mamba
Summary:       Storage Management Service
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://udisks.freedesktop.org
Source:        https://github.com/storaged-project/udisks/releases/download/udisks-%{version}/udisks-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libacl-devel
BuildRequires: libatasmart-devel
BuildRequires: libblkid-devel
BuildRequires: libblockdev-devel
BuildRequires: libglib-devel
BuildRequires: libgudev-devel
BuildRequires: libmount-devel
BuildRequires: libpolkit-devel
BuildRequires: libsystemd-devel
BuildRequires: libudev-devel
BuildRequires: libuuid-devel
## AUTOBUILDREQ-END
BuildRequires: libblockdev-devel >= 3.0.3-1mamba
BuildRequires: intltool
BuildRequires: libsepol-devel
Provides:      udisks2
Obsoletes:     udisks2 <= 2.9.4-3mamba
Requires:      dbus
Requires:      dosfstools
Requires:      e2fsprogs
Requires:      mdadm
Requires:      mtools
Requires:      smp_utils
Requires:      udev
Requires:      util-linux-ng
Requires:      xfsprogs

%description
UDisks provides a daemon, D-Bus API and command line tools for managing disks and storage devices.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      udisks2-devel
Obsoletes:     udisks2-devel <= 2.9.4-3mamba

%description devel
UDisks provides a daemon, D-Bus API and command line tools for managing disks and storage devices.
This package contains static libraries and header files needed for development.

%package apidocs
Summary:       %{name} API documentation
Group:	       Documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      udisks2-apidocs
Obsoletes:     udisks2-apidocs <= 2.9.4-3mamba

%description apidocs
UDisks provides a daemon, D-Bus API and command line tools for managing disks and storage devices.
This package contains %{name} API documentation.

%debug_package

%prep
%setup -q -n udisks-%{version}

%build
%configure \
   --enable-gtk-doc

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} --all-name

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%tmpfiles_create udisks2.conf
%systemd_post udisks2
:

%preun
%systemd_preun udisks2
:

%postun
%systemd_postun_with_restart udisks2
:

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/udisks2/udisks2.conf
%{_sysconfdir}/udisks2/mount_options.conf.example
%{_sbindir}/umount.udisks2
%{_bindir}/udisksctl
%{_tmpfilesdir}/udisks2.conf
%{_unitdir}/udisks2.service
%{_udevrulesdir}/80-udisks2.rules
%{_datadir}/polkit-1/actions/*.policy
%{_libdir}/libudisks2.so.*
%{_libdir}/girepository-1.0/UDisks-2.0.typelib
%dir %{_libexecdir}/udisks2
%{_libexecdir}/udisks2/udisksd
%{_datadir}/bash-completion/completions/udisksctl
%{_datadir}/dbus-1/system.d/org.freedesktop.UDisks2.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.UDisks2.service
%attr(0700,root,root) %dir %{_localstatedir}/lib/udisks2
%{_datadir}/zsh/site-functions/_udisks2
%{_mandir}/man1/udisksctl.1*
%{_mandir}/man5/udisks2.conf.5*
%{_mandir}/man8/udisks.8*
%{_mandir}/man8/udisksd.8*
%{_mandir}/man8/umount.udisks2.8*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/udisks2
%dir %{_includedir}/udisks2/udisks
%{_includedir}/udisks2/udisks/*.h
%{_libdir}/libudisks2.a
%{_libdir}/libudisks2.so
%{_libdir}/pkgconfig/udisks2.pc
%{_datadir}/gir-1.0/UDisks-2.0.gir
#%doc HACKING NEWS doc/TODO 

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/udisks2
%{_datadir}/gtk-doc/html/udisks2/*

%changelog
* Fri Dec 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.1-3mamba
- post script: fix tmpfiles_create macro argument

* Sat Sep 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.1-2mamba
- fix udisks2 service name in post scripts

* Sat Sep 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.1-1mamba
- update to 2.10.1

* Sat Sep 09 2023 Automatic Build System <autodist@mambasoft.it> 2.9.4-5mamba
- rebuilt by autoport with build requirements: libblockdev-devel>=3.0.3-1mamba

* Tue May 30 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.4-4mamba
- renamed from udisks2

* Tue May 30 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.4-3mamba
- rebuilt

* Sun May 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.4-2mamba
- obsolete udisks

* Sun Nov 28 2021 Automatic Build System <autodist@mambasoft.it> 2.9.4-1mamba
- automatic version update by autodist

* Mon Mar 08 2021 Automatic Build System <autodist@mambasoft.it> 2.9.2-1mamba
- automatic version update by autodist

* Sun Aug 16 2020 Automatic Build System <autodist@mambasoft.it> 2.9.1-1mamba
- automatic version update by autodist

* Sat Jun 06 2020 Automatic Build System <autodist@mambasoft.it> 2.9.0-1mamba
- automatic version update by autodist

* Sat Aug 03 2019 Automatic Build System <autodist@mambasoft.it> 2.8.4-1mamba
- automatic version update by autodist

* Mon Mar 25 2019 Automatic Build System <autodist@mambasoft.it> 2.8.2-1mamba
- automatic version update by autodist

* Sun Mar 10 2019 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic version update by autodist

* Wed Mar 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.6-1mamba
- update to 2.7.6

* Mon Dec 12 2016 Automatic Build System <autodist@mambasoft.it> 2.1.8-1mamba
- automatic version update by autodist

* Fri Mar 04 2016 Automatic Build System <autodist@mambasoft.it> 2.1.7-1mamba
- automatic version update by autodist

* Sun Aug 02 2015 Automatic Build System <autodist@mambasoft.it> 2.1.6-1mamba
- automatic version update by autodist

* Tue Mar 10 2015 Automatic Build System <autodist@mambasoft.it> 2.1.5-1mamba
- automatic version update by autodist

* Sun Jan 18 2015 Automatic Build System <autodist@mambasoft.it> 2.1.4-1mamba
- automatic update by autodist

* Thu Mar 13 2014 Automatic Build System <autodist@mambasoft.it> 2.1.3-1mamba
- automatic version update by autodist

* Sun Feb 16 2014 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic version update by autodist

* Fri Aug 23 2013 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic update by autodist

* Tue Mar 19 2013 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Fri Mar 01 2013 Automatic Build System <autodist@mambasoft.it> 2.0.92-1mamba
- automatic version update by autodist

* Sun Jan 20 2013 Automatic Build System <autodist@mambasoft.it> 2.0.91-1mamba
- automatic version update by autodist

* Wed Jan 02 2013 Automatic Build System <autodist@mambasoft.it> 2.0.90-1mamba
- automatic version update by autodist

* Thu Oct 18 2012 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Thu Aug 09 2012 Automatic Build System <autodist@mambasoft.it> 1.99.0-1mamba
- automatic version update by autodist

* Tue Apr 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.93.0-1mamba
- update to 1.93.0

* Sun Jul 24 2011 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Sat Feb 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1mamba
- update to 1.0.2

* Wed Oct 27 2010 gil <puntogil@libero.it> 1.0.1-1mamba
- package created by autospec
